[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TNamedItem.Name

Name of the item

## Declaration

Source position: db.pas line 147

`published property TNamedItem.Name: String read FName write SetDisplayName;`

## Description

Name is the name of the item in the collection. This property is also used as the vaulue for the DisplayName property. If the TNamedItem item is owned by a TDefCollection collection, then the name must be unique, i.e. each Name value may appear only once in the collection.

## See also

DisplayName |  | Display name
TDefCollection |  | Definition collection

The latest version of this document can be found at lazarus-ccr.sourceforge.net.